<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE project>
<project>
    <pomVersion>3</pomVersion>
    <extend>${basedir}/../../etc/project.xml</extend>

    <name>ActiveMQ :: Spring</name>
    <id>activemq-spring</id>
    <shortDescription>Spring support</shortDescription>
    <description>Spring support used for integration with Spring</description>
  
    <package>org.codehaus.activemq.spring</package>
    <packageGroups>
      <packageGroup>
        <title>Spring support</title>
        <packages>org.codehaus.activemq.spring</packages>
      </packageGroup>
    </packageGroups>
 
    <!-- ============ -->
    <!-- Dependencies -->
    <!-- ============ -->
    <dependencies>
    
      <dependency>
        <groupId>activemq</groupId>
        <artifactId>activemq-core</artifactId>
        <version>${pom.currentVersion}</version>
        <properties>
          <eclipse.dependency>true</eclipse.dependency>
        </properties>
      </dependency>
	  <dependency> <!-- Used for unit tests -->
	    <groupId>activemq</groupId>
	    <artifactId>activemq-core-test</artifactId>
	    <version>${pom.currentVersion}</version>
	  </dependency>

      <dependency>
        <id>springframework</id>
        <artifactId>spring</artifactId>
        <url>http://www.springframework.org</url>
        <properties>
          <war.bundle>true</war.bundle>
        </properties>
      </dependency>      

      <!-- Used by tests -->
      <dependency>
        <groupId>activemq</groupId>
        <artifactId>activemq-store-jdbm</artifactId>
        <version>${pom.currentVersion}</version>
        <properties>
          <eclipse.dependency>true</eclipse.dependency>
        </properties>
      </dependency>
      <dependency>
        <groupId>jdbm</groupId>
        <artifactId>jdbm</artifactId>
      </dependency>
      
    </dependencies>  

</project>
